"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var isValidSize = function (size) {
    return size && size >= 0.01;
};
exports.layoutMixin = function (node) { return function (props) {
    if (props.relativeTransform) {
        node.relativeTransform = props.relativeTransform;
    }
    if (typeof props.x === 'number') {
        node.x = props.x;
    }
    if (typeof props.y === 'number') {
        node.y = props.y;
    }
    if (typeof props.rotation === 'number') {
        node.rotation = props.rotation;
    }
    if (isValidSize(props.width) && isValidSize(props.height) && node.type !== 'LINE') {
        if (props.isWithoutConstraints) {
            node.resizeWithoutConstraints(props.width, props.height);
        }
        else {
            node.resize(props.width, props.height);
        }
    }
    if (isValidSize(props.width) && node.type === 'LINE') {
        if (props.isWithoutConstraints) {
            node.resizeWithoutConstraints(props.width, 0);
        }
        else {
            node.resize(props.width, 0);
        }
    }
}; };
//# sourceMappingURL=layoutMixin.js.map